Method: subscriptions.create

Google Workspace 정기 결제를 만듭니다. 이 메서드를 사용하는 방법을 알아보려면 Google Workspace 정기 결제 만들기를 참고하세요.

Chat 대상 리소스의 정기 결제의 경우 다음과 같이 정기 결제를 만들 수 있습니다.

HTTP 요청

POST https://workspaceevents.googleapis.com/v1beta/subscriptions

URL은 gRPC 트랜스코딩 문법을 사용합니다.

쿼리 매개변수

파라미터
validateOnly

boolean

선택사항입니다. true로 설정하면 요청을 검증하고 미리 보지만 정기 결제를 만들지는 않습니다.

요청 본문

요청 본문에 Subscription의 인스턴스가 포함됩니다.

응답 본문

성공한 경우 응답 본문에 새로 생성된 Operation의 인스턴스가 포함됩니다.

  • metadata 필드에 빈 배열이 포함됩니다.
  • response 필드에 Subscription의 새 인스턴스가 포함됩니다.

승인 범위

다음 OAuth 범위 중 하나가 필요합니다.

  • https://www.googleapis.com/auth/chat.spaces
  • https://www.googleapis.com/auth/chat.spaces.readonly
  • https://www.googleapis.com/auth/chat.messages
  • https://www.googleapis.com/auth/chat.messages.readonly
  • https://www.googleapis.com/auth/chat.messages.reactions
  • https://www.googleapis.com/auth/chat.messages.reactions.readonly
  • https://www.googleapis.com/auth/chat.memberships
  • https://www.googleapis.com/auth/chat.memberships.readonly
  • https://www.googleapis.com/auth/chat.app.memberships
  • https://www.googleapis.com/auth/chat.app.memberships.readonly
  • https://www.googleapis.com/auth/chat.app.messages.readonly
  • https://www.googleapis.com/auth/chat.app.spaces
  • https://www.googleapis.com/auth/chat.app.spaces.readonly
  • https://www.googleapis.com/auth/meetings.space.created
  • https://www.googleapis.com/auth/meetings.space.readonly
  • https://www.googleapis.com/auth/drive
  • https://www.googleapis.com/auth/drive.file
  • https://www.googleapis.com/auth/drive.metadata
  • https://www.googleapis.com/auth/drive.metadata.readonly
  • https://www.googleapis.com/auth/drive.readonly

자세한 내용은 승인 가이드를 참고하세요.